## confget 4.0.1

=== Makefile ===
# Copyright (c) 2008, 2009, 2011 - 2013, 2016, 2017, 2021  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/man/man
EXAMPLESDIR?=	${PREFIX}/share/examples/${PROG}

STD_CPPFLAGS?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700

LFS_CPPFLAGS?=	-D_FILE_OFFSET_BITS=64
LFS_LDFLAGS?=

PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre

STD_CFLAGS?=	-std=c99
WARN_CFLAGS?=	-Wall -W

CC?=		gcc
CPPFLAGS?=
CPPFLAGS+=	${STD_CPPFLAGS} ${LFS_CPPFLAGS} ${PCRE_CPPFLAGS}
CFLAGS?=		-g -pipe
CFLAGS+=	${STD_CFLAGS} ${WARN_CFLAGS}
LDFLAGS?=
LDFLAGS+=	${LFS_LDFLAGS}
LIBS?=

RM=		rm -f
MKDIR?=		mkdir -p
SETENV?=	env

PROG=		confget
OBJS=		confget.o confget_common.o confget_ini.o
SRCS=		confget.c confget_common.c confget_ini.c
DEPENDFILE=	.depend

MAN1=		confget.1
MAN1GZ=		${MAN1}.gz

BINOWN?=	root
BINGRP?=	wheel
BINMODE?=	555

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

INSTALL?=	install
COPY?=		-c
STRIP?=		-s

INSTALL_PROGRAM?=	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
INSTALL_SCRIPT?=	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
INSTALL_DATA?=	${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}

# development/debugging flags, you may safely ignore them
BDECFLAGS=	-W -Wall -std=c99 -pedantic -Wbad-function-cast -Wcast-align \
		-Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
#CFLAGS+=	${BDECFLAGS}
#CFLAGS+=	-ggdb -g3

TESTEXEC=	test-getline test-fgetln

all:		${PROG}
		[ -n '${NO_DOC_BUILD}' ] || ${MAKE} ${MAN1GZ}

clean:
		${RM} ${PROG} ${OBJS} ${MAN1GZ}
		${RM} ${TESTEXEC} readaline.h

${PROG}:	${OBJS}
		${CC} ${LDFLAGS} -o ${PROG} ${OBJS} ${PCRE_LIBS}

.c.o:
		${CC} ${CPPFLAGS} ${CFLAGS} -c $<

${MAN1GZ}:	${MAN1}
		gzip -c9 ${MAN1} > ${MAN1GZ}.tmp
		mv ${MAN1GZ}.tmp ${MAN1GZ}

install:	all install-bin
		[ -n '${NO_DOC_BUILD}' ] || ${MAKE} install-man install-examples

install-bin:
		-${MKDIR} ${DESTDIR}${BINDIR}
		${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${BINDIR}/

install-man:
		-${MKDIR} ${DESTDIR}${MANDIR}1
		${INSTALL_DATA} ${MAN1GZ} ${DESTDIR}${MANDIR}1/

install-examples:
		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
		${INSTALL_SCRIPT} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
		${INSTALL_DATA} t/*.ini ${DESTDIR}${EXAMPLESDIR}/tests/

depend:
		touch readaline.h
		${SETENV} CPPFLAGS="-DCONFGET_MAKEDEP ${CPPFLAGS}" \
		DEPENDFILE="${DEPENDFILE}" sh makedep.sh ${SRCS}
		rm -f readaline.h
		
test:		all
		prove t

readaline.h:	test-getline.c Makefile
		rm -f readaline.h
		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o test-getline test-getline.c ${LIBS}; then \
			echo '#define HAVE_GETLINE' > readaline.h; \
		else if ${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o test-fgetln test-fgetln.c ${LIBS}; then \
			echo '#define HAVE_FGETLN' > readaline.h; \
		else \
			echo 'Neither getline() nor fgetln() found!' 1>&2; \
			false; \
		fi; fi

.PHONY:		all clean depend install test

ifeq ($(wildcard ${DEPENDFILE}),${DEPENDFILE})
include ${DEPENDFILE}
endif

=== debian/changelog ===
confget (4.0.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Peter Pentchev <roam@debian.org>  Tue, 05 Oct 2021 14:04:17 +0300

confget (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Fri, 01 Oct 2021 11:49:13 +0300

confget (4.0.0-1) unstable; urgency=medium

  * New upstream release; refresh the python-no-executable patch.
  * Upload to unstable.
  * Declare compliance with Policy 4.6.0 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 30 Sep 2021 00:16:26 +0300

confget (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Wed, 12 May 2021 12:15:34 +0300

confget (3.0.0-1) experimental; urgency=medium

  * New upstream release, update the upstream copyright years.
  * Add the year 2021 to my debian/* copyright notice.
  * Declare compliance with Policy 4.5.1 with no changes.
  * Update the git-buildpackage config for the experimental branch.

 -- Peter Pentchev <roam@debian.org>  Tue, 11 May 2021 22:12:02 +0300

## confget 4.1.0

=== debian/changelog ===
confget (4.1.0-1) unstable; urgency=medium

  * New upstream release that adds pcre2 support.
  * Build with libpcre2 instead of libpcre3. Closes: #1000030
  * Fix a minor errexit-related error in an autopkgtest script;
    the error cannot possibly be triggered in the Debian CI runs anyway.

 -- Peter Pentchev <roam@debian.org>  Sun, 28 Nov 2021 23:54:30 +0200

=== debian/control ===
Source: confget
Section: text
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libpcre2-dev,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-all,
 python3-ddt <!nocheck>,
 python3-pytest <!nocheck>,
 python3-six <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://devel.ringlet.net/textproc/confget/
Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master
Rules-Requires-Root: no

Package: confget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: read variables from INI-style configuration files
 The confget utility examines a INI-style configuration file and retrieves
 the value of the specified variables from the specified section.
 Its intended use is to let shell scripts use the same INI-style
 configuration files as other programs, to avoid duplication of data.
 .
 The confget utility may retrieve the values of one or more variables,
 list all the variables in a specified section, list only those whose names
 or values match a specified pattern (shell glob or regular expression), or
 check if a variable is present in the file at all.  It has a "shell-quoting"
 output mode that quotes the variable values in a way suitable for passing
 them directly to a Bourne-style shell.

Package: python3-confget
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Provides: ${python3:Provides}
Description: read variables from INI-style configuration files - Python 3.x library
 The confget utility examines a INI-style configuration file and retrieves
 the value of the specified variables from the specified section.
 Its intended use is to let shell scripts use the same INI-style
 configuration files as other programs, to avoid duplication of data.
 .
 The confget utility may retrieve the values of one or more variables,
 list all the variables in a specified section, list only those whose names
 or values match a specified pattern (shell glob or regular expression), or
 check if a variable is present in the file at all.  It has a "shell-quoting"
 output mode that quotes the variable values in a way suitable for passing
 them directly to a Bourne-style shell.
 .
 This package contains the Python 3.x library.

## confget 4.1.1

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,13 @@
 LFS_CPPFLAGS?=	-D_FILE_OFFSET_BITS=64
 LFS_LDFLAGS?=
 
-PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
-PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre
+# To use the PCRE2 library (default):
+PCRE_CPPFLAGS?=	-DHAVE_PCRE2 -I${LOCALBASE}/include
+PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre2-8
+
+# To use the obsolete pcre library:
+# PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
+# PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre
 
 STD_CFLAGS?=	-std=c99
 WARN_CFLAGS?=	-Wall -W

=== debian/changelog ===
confget (4.1.1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice.
  * New upstream release:
    - update the upstream copyright information
    - refresh the patch line numbers

 -- Peter Pentchev <roam@debian.org>  Sun, 11 Sep 2022 15:29:48 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-six <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://devel.ringlet.net/textproc/confget/
 Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
 Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Debian build rules for confget, the configuration variable extractor

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	DEB_CFLAGS_MAINT_APPEND+=	-Werror
endif
export DEB_CFLAGS_MAINT_APPEND

export PCRE_CPPFLAGS=-DHAVE_PCRE2
export PCRE_LIBS=-lpcre2-8

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
NO_DOC_BUILD=
else
export NO_DOC_BUILD=1
endif

D=	${CURDIR}/debian
DTMP=	$D/tmp
PY=	${CURDIR}/python

export TESTDIR=${CURDIR}/t

export PYBUILD_NAME=confget
export PYBUILD_DIR=${PY}
export PYBUILD_TEST_PYTEST=1

# OK, so this is not the best way to set this, but oh well
export PYTEST_ADDOPTS=${PY}/unit_tests

override_dh_auto_build-arch:
	dh_auto_build -- LFS_CPPFLAGS= LFS_LDFLAGS=

override_dh_auto_build-indep:
	dh_auto_build --buildsystem pybuild

override_dh_auto_install-arch:
	dh_auto_install -- DESTDIR=${CURDIR}/debian/confget PREFIX=/usr \
		MANDIR=/usr/share/man/man BINGRP=root MANGRP=root \
		EXAMPLESDIR=/usr/share/doc/confget/examples \
		INSTALL_PROGRAM='install -m 755' \
		INSTALL_SCRIPT='install -m 755' INSTALL_DATA='install -m 644'

override_dh_auto_install-indep:
	dh_auto_install --buildsystem pybuild

override_dh_auto_test-indep:
	env PYTHONPATH='${PY}/src' '$D/tests/tap-python.sh'
	dh_auto_test --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGES
	set -e; for pkg in $$(dh_listpackages); do \
		install -m 644 CHANGES "debian/$$pkg/usr/share/doc/$$pkg/NEWS"; \
	done

execute_after_dh_auto_clean-indep:
	if dpkg-query -W -f '$${Package}\n' | fgrep -qxe python3-setuptools; then \
		dh_auto_clean --buildsystem pybuild; \
	fi

%:
	dh '$@'

=== debian/tests/control ===
Test-Command: debian/tests/check-doc.sh env CONFGET='/usr/bin/confget' sh -c 'exec prove -v "$TESTDIR"'
Depends: @, perl, groff-base
Features: test-name=tap-perl

Test-Command: debian/tests/check-doc.sh debian/tests/tap-python.sh
Depends: @, perl, groff-base, python3-all
Features: test-name=tap-python

#Test-Command: adequate confget
#Depends: @, adequate
#Features: test-name=adequate
#Restrictions: superficial

Test-Command: feature-check -O -qfeatures -P '' confget BASE
Depends: @, feature-check
Features: test-name=feature-check
Restrictions: superficial

## confget 5.1.2

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,5 @@
-# Copyright (c) 2008, 2009, 2011 - 2013, 2016, 2017, 2021  Peter Pentchev
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in the
-#    documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
+# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
+# SPDX-License-Identifier: BSD-2-Clause
 
 LOCALBASE?=	/usr/local
 PREFIX?=	${LOCALBASE}

=== debian/changelog ===
confget (5.1.2-2) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * autopkgtest: pass -O-qfeatures as a single argument to feature-check.
    Closes: #1072617
  * Use debhelper compat level 14 and let debhelper add some default
    dependencies automatically.
  * Include dpkg's default.mk, let it export flag and option variables.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * gbp.conf: use the debian/master branch again.

 -- Peter Pentchev <roam@debian.org>  Wed, 05 Jun 2024 22:55:42 +0300

confget (5.1.2-1) unstable; urgency=medium

  * Upload to unstable.
  * Make the debian/clean file really clean up the Python egg-info
    directory after it was pushed down to python/src/ in confget-2.3.4.
    Closes: #1044593
  * New upstream release:
    - update the copyright file: no copyright years, e-mail address,
      CC0 1.0 instead of public domain
    - reflect upstream's switch from setuptools to hatchling for
      the PEP 517 build:
      - update the build dependencies
      - adapt the python-no-executable patch
    - drop the python3-six build dependency
    - reflect the .pytest_cache/ directory being moved outside of python/

 -- Peter Pentchev <roam@debian.org>  Sat, 26 Aug 2023 23:28:19 +0300

confget (5.1.1-1) experimental; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Use pybuild's pyproject plugin for the Python module.
  * Drop the already commented-out adequate autopkgtest.
  * Use the debian/bookworm-freeze branch for the uploads to
    experimental before the release of Debian 12 (bookworm) and
    reflect that in the git-buildpackage config file.
  * New upstream release:
    - adapt the python-no-executable patch to modify the setup.cfg file,
      since the setuptools metadata was moved there from setup.py
    - add python3-pyparsing as a test-only build dependency
    - add the year 2023 to the upstream copyright notice

 -- Peter Pentchev <roam@debian.org>  Sun, 14 May 2023 12:34:25 +0300

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,27 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-python,
+ dpkg-build-api (= 1),
  libpcre2-dev,
 Build-Depends-Indep:
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-ddt <!nocheck>,
+ python3-hatchling,
+ python3-pyparsing <!nocheck>,
  python3-pytest <!nocheck>,
- python3-six <!nocheck>,
- python3-setuptools,
-Standards-Version: 4.6.1
+X-DH-Compat: 14
+Standards-Version: 4.7.0
 Homepage: https://devel.ringlet.net/textproc/confget/
 Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
 Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master
-Rules-Requires-Root: no
 
 Package: confget
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: read variables from INI-style configuration files
  The confget utility examines a INI-style configuration file and retrieves
@@ -40,7 +42,7 @@
 Section: python
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Provides: ${python3:Provides}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
-export DEB_BUILD_MAINT_OPTIONS
 
 DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
 		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
@@ -13,7 +12,10 @@
 ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
 	DEB_CFLAGS_MAINT_APPEND+=	-Werror
 endif
-export DEB_CFLAGS_MAINT_APPEND
+
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 export PCRE_CPPFLAGS=-DHAVE_PCRE2
 export PCRE_LIBS=-lpcre2-8

=== debian/tests/control ===
--- 
+++ 
@@ -6,12 +6,7 @@
 Depends: @, perl, groff-base, python3-all
 Features: test-name=tap-python
 
-#Test-Command: adequate confget
-#Depends: @, adequate
-#Features: test-name=adequate
-#Restrictions: superficial
-
-Test-Command: feature-check -O -qfeatures -P '' confget BASE
+Test-Command: feature-check -O-qfeatures -P '' confget BASE
 Depends: @, feature-check
 Features: test-name=feature-check
 Restrictions: superficial

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/textproc/confget/ https://devel.ringlet.net/(?:files/)?textproc/confget/confget-@ANY_VERSION@@ARCHIVE_EXT@
